package com.persagy.apm.alarmservice.group.alarmrule.model.dto;

import com.persagy.apm.alarmservice.alarmcondition.model.dto.AddAlarmConditionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
@Data
@ApiModel(value = "创建集团报警规则入参")
public class AddGroupAlarmRuleDTO {
    @ApiModelProperty(value = "分组id", required = true)
    @NotNull(message = "分组id不能为空") // todo 更新校验规则
    private String groupId;
    
    @ApiModelProperty(value = "报警条目编码", required = true)
    @NotNull(message = "报警条目编码不能为空") // todo 更新校验规则
    private String alarmItemCode;

    @ApiModelProperty(value = "报警规则", required = true)
    @NotNull(message = "报警规则不能为空") // todo 更新校验规则
    private AddAlarmConditionDTO alarmCondition;
    
}
